---
updatedAt: 2025-06-05T01:14:01.000Z
agentTools:
  projectIndex: https://developers.7shifts.com/v2.2023.0401/llms.txt
---

# List Task Lists

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "7shifts API",
    "contact": {
      "email": "api-support@7shifts.com"
    },
    "version": "2023-04-01"
  },
  "servers": [
    {
      "url": "https://api.7shifts.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v2/company/{company_id}/task_lists": {
      "get": {
        "tags": [
          "Task Management"
        ],
        "summary": "List Task Lists",
        "operationId": "getTaskLists",
        "x-public-api": true,
        "parameters": [
          {
            "name": "x-api-version",
            "in": "header",
            "description": "7shifts API version",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "An API version",
              "example": "2022-05-01"
            }
          },
          {
            "name": "x-company-guid",
            "in": "header",
            "description": "Company GUID",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "1310bfe1-cb3f-4f24-98a2-fde2bc504108"
          },
          {
            "name": "company_id",
            "in": "path",
            "description": "Company ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 8655
          },
          {
            "name": "user_id",
            "in": "query",
            "description": "User ID",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 5678
          },
          {
            "name": "location_id",
            "in": "query",
            "description": "Location ID",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 8655
          },
          {
            "name": "uuid",
            "in": "query",
            "description": "Task List Template UUID",
            "schema": {
              "type": "string"
            },
            "example": "325bf7a2-21a8-4599-a377-2380140b6710"
          },
          {
            "name": "active_on_date",
            "in": "query",
            "description": "Show only tasks lists that were active on a date (YYYY-MM-DD)",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
            },
            "example": "2019-11-05T00:00:00.000Z"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "task_list"
                      ]
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "task_list_template_uuid": {
                            "type": "string"
                          },
                          "title": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "start": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "due": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "due_date": {
                            "type": "object",
                            "properties": {
                              "start": {
                                "type": "string",
                                "format": "date-time",
                                "nullable": true
                              },
                              "end": {
                                "type": "string",
                                "format": "date-time",
                                "nullable": true
                              }
                            },
                            "required": [
                              "start",
                              "end"
                            ]
                          },
                          "tasks": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer"
                                },
                                "task_template_uuid": {
                                  "type": "string"
                                },
                                "title": {
                                  "type": "string"
                                },
                                "description": {
                                  "type": "string"
                                },
                                "user_id": {
                                  "type": "integer",
                                  "nullable": true
                                },
                                "completed_at": {
                                  "type": "string",
                                  "nullable": true,
                                  "format": "date-time"
                                },
                                "tags": {
                                  "type": "array",
                                  "nullable": true,
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "uuid": {
                                        "type": "string",
                                        "format": "uuid"
                                      },
                                      "user_id": {
                                        "type": "integer",
                                        "nullable": false
                                      },
                                      "task_id": {
                                        "type": "integer",
                                        "nullable": false
                                      }
                                    },
                                    "required": [
                                      "uuid",
                                      "user_id",
                                      "task_id"
                                    ]
                                  }
                                },
                                "task_completion": {
                                  "anyOf": [
                                    {
                                      "type": "object",
                                      "properties": {
                                        "type": {
                                          "type": "string",
                                          "enum": [
                                            "NUMBER",
                                            "TEMPERATURE",
                                            "PHOTO",
                                            "STRING",
                                            "WEIGHT",
                                            "CHECKMARK"
                                          ]
                                        },
                                        "primitive_type": {
                                          "type": "string",
                                          "enum": [
                                            "INTEGER",
                                            "DECIMAL",
                                            "FILE",
                                            "STRING",
                                            "BOOLEAN"
                                          ]
                                        },
                                        "unit": {
                                          "type": "string",
                                          "enum": [
                                            "C",
                                            "F",
                                            "KG"
                                          ],
                                          "nullable": true
                                        }
                                      },
                                      "required": [
                                        "type",
                                        "primitive_type",
                                        "unit"
                                      ]
                                    }
                                  ],
                                  "nullable": true
                                },
                                "task_completion_event": {
                                  "anyOf": [
                                    {
                                      "type": "object",
                                      "properties": {
                                        "user_id": {
                                          "type": "integer"
                                        },
                                        "completed_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "completion_value": {
                                          "type": "string",
                                          "nullable": true
                                        }
                                      },
                                      "required": [
                                        "user_id",
                                        "completed_at",
                                        "completion_value"
                                      ]
                                    }
                                  ],
                                  "nullable": true
                                }
                              },
                              "required": [
                                "id",
                                "title",
                                "user_id",
                                "completed_at"
                              ]
                            }
                          },
                          "recurrence": {
                            "type": "object",
                            "properties": {
                              "interval": {
                                "type": "string"
                              },
                              "rrule": {
                                "type": "string",
                                "description": "recurrence rules as defined by the RFC 5545 spec"
                              }
                            },
                            "required": [
                              "interval",
                              "rrule"
                            ]
                          },
                          "assignments": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "company_id": {
                                  "type": "integer"
                                },
                                "location_id": {
                                  "type": "integer"
                                },
                                "department_id": {
                                  "type": "integer",
                                  "nullable": true
                                },
                                "role_id": {
                                  "type": "integer",
                                  "nullable": true
                                },
                                "user_id": {
                                  "type": "integer",
                                  "nullable": true
                                }
                              },
                              "required": [
                                "company_id",
                                "location_id"
                              ]
                            }
                          },
                          "time_frame": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "start": {
                                    "description": "The time when this task starts",
                                    "type": "string",
                                    "nullable": true,
                                    "pattern": "^\\d{2}:\\d{2}:\\d{2}$",
                                    "example": "09:00:00"
                                  },
                                  "end": {
                                    "description": "The time when this task ends",
                                    "type": "string",
                                    "pattern": "^\\d{2}:\\d{2}:\\d{2}$",
                                    "example": "23:59:59"
                                  },
                                  "start_time": {
                                    "description": "The date and time when this task starts",
                                    "type": "string",
                                    "format": "date-time",
                                    "nullable": true,
                                    "example": "2020-01-01T00:00:00-0600"
                                  },
                                  "end_time": {
                                    "description": "The date and time when this task ends",
                                    "type": "string",
                                    "format": "date-time",
                                    "example": "2020-01-02T00:00:00-0600"
                                  }
                                },
                                "required": [
                                  "start",
                                  "end",
                                  "start_time",
                                  "end_time"
                                ]
                              }
                            ],
                            "nullable": true
                          }
                        },
                        "required": [
                          "id",
                          "task_list_template_uuid",
                          "title",
                          "description",
                          "start",
                          "due",
                          "due_date",
                          "tasks",
                          "assignments",
                          "recurrence"
                        ]
                      }
                    }
                  },
                  "required": [
                    "object",
                    "data"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Server Error",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "password": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "authorizationCode": {
            "authorizationUrl": "https://app.7shifts.com/oauth2/authorize",
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          }
        }
      },
      "cookieAuth": {
        "type": "apiKey",
        "in": "cookie",
        "name": "7session"
      },
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    },
    {
      "basicAuth": []
    },
    {
      "cookieAuth": []
    }
  ],
  "tags": [
    {
      "name": "Task Management"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```